import request from '@/utils/request'

// 查询农业主体信息列表
export function list39(query) {
  return request({
    url: '/basicData/xcrOtherInfo39/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农业主体信息详细
export function get39(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo39/' + xhCodeId,
    method: 'get'
  })
}

// 新增农业主体信息
export function add39(data) {
  return request({
    url: '/basicData/xcrOtherInfo39',
    method: 'post',
    data: data
  })
}

// 修改农业主体信息
export function update39(data) {
  return request({
    url: '/basicData/xcrOtherInfo39',
    method: 'put',
    data: data
  })
}

// 删除农业主体信息
export function del39(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo39/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del39Batch(ids) {
  return request.post('/basicData/xcrOtherInfo39/delete',ids)
}
